/*
Theme Name: Studiare Child
Theme URI: http://codebean.co/studiare/
Author: CodeBean Team
Author URI: http://codebean.co
Description: With Studiare, you can sell, market and create your online courses in one place. It is perfect for universities, teachers, and tutors, but can also be used by individuals and businesses.
Version: 1.0.1
License: GNU General Public License
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Tags: classes, courses, education, education center, learning center, tutoring, teaching, study, studying, learning, lessons, instructor, teacher, mentor
Template: studiare
*/

.assistenzaModal * {
  --primary-color: #82afd3;
}

.d-none {
  display: none;
}

.text-center {
  text-align: center;
}

.top-bar {
  position: sticky !important;
  top: 0;
  z-index: 100000 !important;
}

.site-header {
  position: sticky !important;
  top: 56px;
  width: 100% !important;
  background-color: #fff;
  z-index: 1000;
  transition: background-color 0.3s, padding 0.3s;
  min-height: 78px !important;
  height: 78px !important;
}

@media (max-width: 992px) {
  .site-header {
    top: 49px !important;
  }
}

@media (max-width: 550px) {
  .site-header {
    top: 47px !important;
  }
  .site-header .site-logo .studiare-logo-wrap img {
    max-width: 172px !important;
  }

  .payments-logos {
    flex-direction: column;
    gap: 15px;
  }

  .payments-logos img {
    max-width: 169px !important;
  }
}

.site-logo img {
  transition: width 0.3s, height 0.3s !important;
}

.site-header.small .site-logo img {
  animation: shrinkLogo 0.3s forwards;
}

.site-header .site-logo .studiare-logo-wrap img {
  max-width: 200px !important;
}

@keyframes shrinkLogo {
  from {
    transform: scale(1);
  }
  to {
    transform: scale(0.8);
  }
}

.products
  .course-item
  .course-item-inner
  .course-content-holder
  .course-content-bottom
  .course-price
  .price-sale {
  color: var(--primary-color) !important;
}

.woocommerce-notices-wrapper {
  flex: 1 0 100%;
}

.woocommerce-account.woocommerce-view-order .woocommerce-order-details {
  margin-bottom: 30px;
}

.products {
  justify-content: center !important;
}

.products .course-item {
  display: flex;
  flex-direction: column;
}

.products .course-item .course-item-inner {
  display: flex;
  flex-direction: column;
  height: 100%; /* Per occupare tutta l'altezza del padre */
}

.list-view .course-item .course-item-inner {
  flex-direction: row !important;
}

.products .course-content-holder {
  flex-grow: 1; /* Per far crescere questo elemento e occupare lo spazio rimanente */
}

.products .course-item .course-item-inner .course-thumbnail-holder img {
  object-fit: cover !important;
  aspect-ratio: 16/9 !important;
}
.products
  .course-item
  .course-item-inner
  .course-content-holder
  .course-content-main {
  padding: 15px !important;
}

.products
  .course-item
  .course-item-inner
  .course-content-holder
  .course-content-main
  .course-title {
  font-size: 16px !important;
}

.main-sidebar-holder .widget {
  padding: 1.05rem !important;
}

.main-sidebar-holder .widget .widget-title:before {
  content: none !important;
}

body
  .wpc-filters-main-wrap
  .wpc-filter-has-hierarchy
  .wpc-term-item-content-wrapper {
  padding-bottom: 5px;
  padding-top: 5px;
}

.wpc-filters-main-wrap li.wpc-term-item a {
  font-family: Raleway;
  font-weight: 500 !important;
  font-style: normal;
  color: #464749;
}

i.wpc-toggle-children-list {
  top: -10px !important;
}

.course-content-holder {
  display: flex;
  flex-direction: column;
}

.course-content-main {
  flex-grow: 1;
}

ul.woocommerce-error li {
  color: red;
}

.assistenzaModal {
  position: fixed;
  /* inset: 0px; */
  z-index: 9999999;
  overflow: hidden;
  outline: 0px;
  opacity: 0;
  transition: all 0.15s linear 0s;
  visibility: hidden;
  display: none;
  top: 0;
  right: 0;
  left: 0;
  justify-content: center;
  /*align-items: center;*/
  width: 100%;
  height: 100vh;
  overflow-y: initial !important;
}


.assistenza-form-overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 1040;
  opacity: 0;
  background-color: #000;
}

.assistenza-form-modal {
  position: relative;
  width: auto;
  margin: 0.5rem;
  z-index: 1040;
  -webkit-transition: all 0.15s linear;
  transition: all 0.15s linear;
  opacity: 1;
  visibility: visible;
}

@media (min-width: 576px) {
  .assistenza-form-modal {
    max-width: 500px;
    margin: 1vh auto 0 auto;
  }
}

@media (max-width: 576px) {
  .assistenza-form-modal .assistenza-form-modal-box .assistenza-form-content {
    padding: 14px !important;
  }
  .assistenza-form-modal {
    /* 		margin: 24vh auto 0 auto; */
  }
  .assistenza-form-modal .assistenza-form-modal-box .assistenza-title {
    padding: 14px 14px !important;
  }

  .assistenza-form-modal .assistenza-form-modal-box .close {
    top: 1.5% !important;
  }

  .woocommerce-Message,
  .woocommerce-message {
    padding: 20x !important;
  }
}

@media (max-width: 767px) {
  .products {
    justify-content: center !important;
  }
  .course-main-wrapper.shop-sidebar-left .course-wrapper-inner {
    flex-direction: column-reverse !important;
  }
}

.assistenzaModal textarea {
  height: 100px;
}

.wpc-custom-selected-terms ul.wpc-filter-chips-list {
  padding-top: 20px !important;
}

.assistenza-form-modal .assistenza-form-modal-inner {
  display: -webkit-box !important;
  display: -ms-flexbox;
  display: flex;
  overflow: hidden;
  background-color: #fff;
  border-radius: 0.3rem;
  -webkit-box-shadow: 0 0.25rem 0.5rem rgba(0, 0, 0, 0.5);
  box-shadow: 0 0.25rem 0.5rem rgba(0, 0, 0, 0.5);
}

.assistenza-form-modal .assistenza-form-modal-box {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  width: 100%;
}

.assistenza-form-modal .assistenza-form-modal-box .close {
  position: absolute;
  top: 35px;
  right: 30px;
}

.assistenza-form-modal .assistenza-form-modal-box .close svg {
  width: 26px;
  fill: #666;
}

.assistenza-form-modal .assistenza-form-modal-box .assistenza-form-content {
  padding: 40px;
}

.assistenza-form-modal .assistenza-form-modal-box .assistenza-title {
  font-size: 20px;
  margin-bottom: 0;
  background-color: #f6f6f6;
  padding: 35px 40px;
}

/* body.modal-assistenza-open {
    overflow: hidden;
} */

body.modal-assistenza-open .wrap {
  transform: none !important;
}

.modal-assistenza-open .assistenza-form-overlay {
  opacity: 0.8;
  z-index: 999 !important;
}

ul.page-numbers {
  text-align: center !important;
  padding-bottom: 25px !important;
}

.payments-logos {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 32px;
  padding-bottom: 13px;
}

.copyright-inner {
  justify-content: center !important;
}

.wpcf7-list-item {
  margin-left: 0 !important;
}

.wc-block-components-price-slider {
  display: flex;
  flex-wrap: wrap-reverse;
  flex-direction: column;
}

.wc-block-components-price-slider__actions {
  order: 1 !important;
}

.wc-block-components-price-slider__range-input-wrapper {
  order: 2 !important;
}

.wc-block-components-price-slider__controls {
  order: 3 !important;
}

.wc-block-price-filter__controls input {
  text-align: center !important;
}

input[type="checkbox"],
input[type="radio"] {
  width: 13px !important;
}

.comment-respond p .submit,
.wpcf7-submit {
  padding: 9px 36px !important;
  float: right !important;
}

.login-form-modal .button {
  display: block !important;
  margin: 0 auto !important;
}

.vc_custom_1707994379118,
.vc_row.wpb_row.vc_row-fluid.vc_custom_1707994379118.vc_row-has-fill.vc_row-no-padding {
  background-repeat: no-repeat !important;
  background-position: -28% !important;
  background-size: 39% !important;
}

.product-info-box .cart .quantity {
  display: block !important;
  width: 100px;
  padding-bottom: 18px;
}

.dropdown-cart.visible {
  overflow-y: auto;
  max-height: 90vh;
}

.cart-page-inner .woocommerce-cart-form td.actions .coupon .button {
  position: absolute !important;
  top: 0px !important;
  right: -18px !important;
  opacity: 1 !important;
  width: auto !important;
  height: 49px !important;
}

.checkout-form-custom {
  display: flex;
}

@media (max-width: 980px) {
  .checkout-form-custom {
    display: block;
  }
}

.checkout_coupon {
  display: block !important;
}

.thwcfd-optional.required {
  display: inline;
}


.cart-page-inner .woocommerce-cart-form td.actions .coupon:after {
  content: '' !important;
  display: none;
  clear: both;
}